#!/bin/sh /etc/rc.common
# Copyright (C) 2006 OpenWrt.org
+START=50
# Copyright (C) 2006 Carlos Sobrinho
config_cb() {
local cfg="$CONFIG_SECTION"
local nopasswd
- local type
- config_get cfgtype "$cfg" TYPE
+ local cfgt
+ config_get cfgt "$cfg" TYPE
- case "$cfgtype" in
+ case "$cfgt" in
dropbear)
config_get passauth $cfg PasswordAuth
config_get port $cfg Port
case "$passauth" in
no|off|disabled|0) nopasswd=1;;
esac
- DROPBEAR_ARGS="${port:+-p $port} ${nopasswd:+-s}"
+ DROPBEAR_ARGS="${nopasswd:+-s }${port:+-p $port}"
;;
esac
}
for keytype in rsa dss; do
# check for keys
key=dropbear/dropbear_${keytype}_host_key
- [ -f /tmp/$key -o -f /etc/$key ] || {
+ [ -f /tmp/$key -o -s /etc/$key ] || {
# generate missing keys
mkdir -p /tmp/dropbear
[ -x /usr/bin/dropbearkey ] && {
}
start() {
- [ -f /etc/dropbear/dropbear_rsa_host_key -a \
- -f /etc/dropbear/dropbear_dss_host_key ] || keygen
+ [ -s /etc/dropbear/dropbear_rsa_host_key -a \
+ -s /etc/dropbear/dropbear_dss_host_key ] || keygen
config_load dropbear
/usr/sbin/dropbear $DROPBEAR_ARGS